Bug 52579 - HTTP_RAW_POST_DATA not available
Summary: HTTP_RAW_POST_DATA not available
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: php   
(Show other bugs)
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Phil Copeland
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2001-08-25 19:50 UTC by Peter Bowen
Modified: 2007-04-18 16:36 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2001-12-07 23:57:15 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Add php.ini option to force HTTP_RAW_POST_DATA to be used (1.95 KB, patch)
2001-08-25 19:52 UTC, Peter Bowen
no flags Details | Diff

Description Peter Bowen 2001-08-25 19:50:47 UTC
When using PHP with shockwave, XML-RPC, and other things that use HTTP POST
for data transport, $HTTP_RAW_POST_DATA is usually available, but in some
limited circumstances, it isn't.  This patch, backported from CVS HEAD,
adds an configuration directive to force HTTP_RAW_POST_DATA to be filled. 
It also has the side effect of speeding up PHP if you are only using the
server for XML-RPC serving.

Comment 1 Peter Bowen 2001-08-25 19:52:27 UTC
Created attachment 29574 [details]
Add php.ini option to force HTTP_RAW_POST_DATA to be used

Comment 2 Peter Bowen 2002-04-14 19:45:24 UTC
Fixed in 4.1.2.


Note You need to log in before you can comment on or make changes to this bug.